@import "libs/shared/assets/src/global-style/color";
.form-row__input {
  width: 100%;
  border-radius: 10px !important;
  min-height: 48px;
}


.form {
  max-height: 60vh;
  overflow-y: auto;
  &__top {
    border-radius: 8px;
    padding: 20px;
    background: $white-color;
  }
}

.jd-table {
  min-width: 100%;
  border-radius: 8px;
  overflow: hidden;
  &__label {
    font-weight: bold;
    font-size: 14px;
    line-height: 120%;
    background: rgba(232, 234, 246, 1);
  }
}

.form-row__right--attach {
  display: flex;
  align-items: flex-end;
  height: 100%;
}

.form-row__label {
  font-style: normal;
  font-weight: 600;
  font-size: 14px;
  line-height: 20px;
}

.form-row__padding {
 padding-top: 35px;
}

.title-input {
  display: flex;
}


p {
  margin-bottom: 0px !important;
}

.title {
  font-style: normal;
  font-weight: 500;
  font-size: 18px;
  line-height: 20px;
  letter-spacing: 0.15px;
  color: #000000;
  margin-top: 16px;
}

.required {
  color: red;
  text-align: center;
  padding-left: 5px;
  margin-bottom: 0px !important;
}

.template {
  &__right {
    display: flex;
    justify-content: flex-end;
    align-items: flex-end;
    &--attach {
      display: flex;
      align-items: flex-end;
      height: 100%;
    }
  }
}

.button-primary {
  border-radius: 8px;
  display: flex;
  align-items: center;
  padding: 10px, 16px, 10px, 16px;
  font-size: 14px;
  min-height: 40px;
  background: $primary-button-color;
  margin-left: 16px;
}

.form-row__select {
  width: 100%;
  ::ng-deep {
    .ant-select-selector {
      border-radius: 10px !important;
      min-height: 48px;
      display: flex;
      align-items: center;
    }
    .ant-select-selection-search-input {
      height: 100% !important;
    }
  }
}

.mat-chip-label {
  color: #141ed2;
  font-size: 16px;
  line-height: 20px;
}

.icon-search {
  margin-left: 10px;
  color: rgba(78, 75, 102, 1);
}

.job-col {
  min-width: 320px;
}

.action-button {
  display: flex;
  column-gap: 10px;
}

::ng-deep {
  .mat-chip-list-wrapper input.mat-input-element,
  .mat-chip-list-wrapper .mat-standard-chip {
    margin-bottom: 10px !important;
    margin-left: 10px !important;
  }

  .mat-chip-list-wrapper {
    flex-wrap: nowrap !important;
  }
  .mat-form-field-prefix,
  .mat-form-field-suffix {
    display: none;
  }
  .mat-form-field-flex {
    border: 1px solid rgb(217, 217, 217);
    min-height: 48px;
    // border: 1px solid #F5F5F5;
    border-radius: 8px;
    align-items: center !important;
    color: #d9d9d9;
    display: block !important;
  }
  .ant-pagination-item-link {
    border-radius: 8px;
    display: flex !important;
    align-items: center;
    justify-content: center;
  }
  .ant-pagination-item-link-icon {
    margin-right: 14px;
  }

  .ant-pagination-item {
    border-radius: 8px;
  }
  .ant-pagination-item-active {
    border-color: $primary-button-color;
    border-radius: 8px;
    a {
      color: $primary-button-color;
    }
  }
  .mat-form-field-infix {
    width: initial !important;
  }
}

mat-chip {
  background: rgba(233, 234, 255, 1) !important;
  min-width: 97px;
  min-height: 48px;
  border-radius: 10px;
  padding: 4px 4px 4px 8px;
  border: 1px solid #7f85f3;
  margin: 0px 16px;
  align-items: center;
  justify-content: space-between;
}

.information-form {
  display: flex;
  width: 100%;
  align-items: center;
  margin-top: 10px;
  justify-content: space-between;
}

.information-organization {
  display: flex;
  width: 100%;
  align-items: center;
  margin-top: 10px;
  justify-content: space-between;
  &__hidden {
    width: 25%;
  }
}

.attach {
  width: 100%;
  border: 1px solid #d9dbe9;
  padding: 10px;
  display: flex;
  align-items: flex-end;
  justify-content: flex-start;
}

mat-form-field {
  width: 100%;
}

.create-screen-footer {
  margin-top: 15px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.hide-label-file {
  display: none;
}

.show-label-file {
  display: block;
}

.attach-label-file {
  margin-left: 5px;
  display: block;
}

.attach-with-file {
  width: 100%;
  border: 1px solid;
  padding: 10px;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.file-attach {
  color: rgba(78, 75, 102, 1);
}

.row-container {
  display: flex;
  justify-content: space-between;
  &__fun {
    width: 50%;
    &__span {
      white-space: nowrap;
    }
    display: flex;
    margin-top: 5px;
    align-items: center;
    column-gap: 5px;
    &__label {
      font-weight: bold;
    }
  }

  &__job {
    display: flex;
    column-gap: 20px;
    flex-wrap: wrap;
    width: 50%;
  }
  &__tr {
    display: table;
    width: 100%;
  }
}

.fun-row {
  &__span {
    white-space: nowrap;
  }
  display: flex;
  margin-top: 5px;
  align-items: center;
  column-gap: 5px;
  &__label {
    font-weight: bold;
  }
}

.add-text {
  color: $primary-button-color;
}

.job-select {
  width: 100%;
}

.text-overflow {
  max-width: 37rem;
  overflow: hidden;
  text-overflow: ellipsis;
}
